Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter by a comma separated list of account UUIDs.
-
Filter by a comma separated list of group UUIDs.
-
Filter by the circle name.
-
Comma separated list of relationships to include in the response. Valid relationships are [accounts,firm,groups]
-
Field to sort by. Valid fields are [name, created_at, updated_at]. Negative sign to denote DESC. Defaults to 'name'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/circles
curl \
--request GET 'https://api.plannrcrm.com/api/v1/circles' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "86635bc8-cb44-461d-802d-4b226e252951",
"created_at": "2026-08-25T11:49:51+01:00",
"updated_at": "2026-08-25T11:49:51+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-25T11:49:51+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"accounts": [
{
"uuid": "8e0bc66c-b27a-4dc2-9d2c-ad9b04875f13",
"created_at": "2026-08-25T11:49:51+01:00",
"updated_at": "2026-08-25T11:49:51+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "98a6daf4-aab4-45a6-a3fe-948a2290d5eb",
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "7bfadb05-9d39-4a46-a870-31cd2ae1135f",
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "7bfadb05-9d39-4a46-a870-31cd2ae1135f",
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "73947490-e92f-4b3c-8e65-85243621d97a",
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-08-25T10:59:58+01:00",
"end_date": "2026-08-25T11:27:58+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "6ee52a37-2fbb-428a-b968-209715b3eb18",
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-25T11:49:58+01:00",
"next_review_date": "2026-08-25T11:49:58+01:00",
"previous_review_date": "2026-08-25T11:49:58+01:00",
"anniversary_review_date": "2026-08-25T11:49:58+01:00",
"terms_of_business_at": "2026-08-25T11:49:58+01:00",
"client_agreement_at": "2026-08-25T11:49:58+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-25",
"last_interaction_at": "2026-08-25 11:49:58",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-25T11:49:58+01:00",
"out_of_office_until": "2026-08-25T11:49:58+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "6ee52a37-2fbb-428a-b968-209715b3eb18",
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-25T11:49:58+01:00",
"next_review_date": "2026-08-25T11:49:58+01:00",
"previous_review_date": "2026-08-25T11:49:58+01:00",
"anniversary_review_date": "2026-08-25T11:49:58+01:00",
"terms_of_business_at": "2026-08-25T11:49:58+01:00",
"client_agreement_at": "2026-08-25T11:49:58+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-25",
"last_interaction_at": "2026-08-25 11:49:58",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-25T11:49:58+01:00",
"out_of_office_until": "2026-08-25T11:49:58+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "6ee52a37-2fbb-428a-b968-209715b3eb18",
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-25T11:49:58+01:00",
"next_review_date": "2026-08-25T11:49:58+01:00",
"previous_review_date": "2026-08-25T11:49:58+01:00",
"anniversary_review_date": "2026-08-25T11:49:58+01:00",
"terms_of_business_at": "2026-08-25T11:49:58+01:00",
"client_agreement_at": "2026-08-25T11:49:58+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-25",
"last_interaction_at": "2026-08-25 11:49:58",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-25T11:49:58+01:00",
"out_of_office_until": "2026-08-25T11:49:58+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "6ee52a37-2fbb-428a-b968-209715b3eb18",
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-25T11:49:58+01:00",
"next_review_date": "2026-08-25T11:49:58+01:00",
"previous_review_date": "2026-08-25T11:49:58+01:00",
"anniversary_review_date": "2026-08-25T11:49:58+01:00",
"terms_of_business_at": "2026-08-25T11:49:58+01:00",
"client_agreement_at": "2026-08-25T11:49:58+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-25",
"last_interaction_at": "2026-08-25 11:49:58",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-25T11:49:58+01:00",
"out_of_office_until": "2026-08-25T11:49:58+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "f4d160ab-e146-49e2-ac31-000e04faa956",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00"
},
"tags": {
"uuid": "1ec00c46-d730-41d7-a0a1-6fbe53ee1195",
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "6ee52a37-2fbb-428a-b968-209715b3eb18",
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-25T11:49:58+01:00",
"next_review_date": "2026-08-25T11:49:58+01:00",
"previous_review_date": "2026-08-25T11:49:58+01:00",
"anniversary_review_date": "2026-08-25T11:49:58+01:00",
"terms_of_business_at": "2026-08-25T11:49:58+01:00",
"client_agreement_at": "2026-08-25T11:49:58+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-25",
"last_interaction_at": "2026-08-25 11:49:58",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-25T11:49:58+01:00",
"out_of_office_until": "2026-08-25T11:49:58+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-08-25T11:49:51+01:00",
"next_review_date": "2026-08-25T11:49:51+01:00",
"previous_review_date": "2026-08-25T11:49:51+01:00",
"anniversary_review_date": "2026-08-25T11:49:51+01:00",
"terms_of_business_at": "2026-08-25T11:49:51+01:00",
"client_agreement_at": "2026-08-25T11:49:51+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "f71f33fd-727b-4a54-99de-d8f56d4379dc",
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-25T11:49:58+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "986da9cd-a233-4c7c-8c7b-15da4360e3ee",
"login_access_level": "write",
"current_life_stage_uuid": "1cb2546a-e9b7-4131-aba0-feae42315e89"
},
"circles": {
"uuid": "f71f33fd-727b-4a54-99de-d8f56d4379dc",
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-25T11:49:58+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "986da9cd-a233-4c7c-8c7b-15da4360e3ee",
"login_access_level": "write",
"current_life_stage_uuid": "1cb2546a-e9b7-4131-aba0-feae42315e89"
},
"ownership_percentage": 100,
"inactive_at": "2026-08-25",
"last_interaction_at": "2026-08-25 11:49:51",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-25T11:49:51+01:00",
"out_of_office_until": "2026-08-25T11:49:51+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "3b7ab4a1-b64c-4521-824e-8236f9e3aa27",
"name": "Gold",
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00"
},
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "b0ffdf8a-e58f-495b-9d6f-060bf9c72dfe",
"created_at": "2026-08-25T11:49:58+01:00",
"updated_at": "2026-08-25T11:49:58+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
],
"groups": [
{
"uuid": "72e255e3-27ed-4823-97a8-0e76c8f7be72",
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": "3055a618-920f-4436-82f4-fd521770f94f",
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-08-25T11:49:51+01:00",
"updated_at": "2026-08-25T11:49:51+01:00"
}
],
"joint_account_uuid": "0a13f95b-0983-4d68-9a16-c06f0b64c89d",
"login_access_level": "write",
"current_life_stage_uuid": "1c6ce078-c277-480c-9cd4-0f8e08a33088",
"external_references": [
{
"uuid": "0c4dbab0-8935-454c-981c-8f39ede03d69",
"created_at": "2026-08-25T11:49:51+01:00",
"updated_at": "2026-08-25T11:49:51+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
]
}
]
}